Package org.eclipse.emf.spi.cdo

# Class DefaultCDOMerger.PerFeature.ManyValuedOld.Element

java.lang.Object
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<CDOFeatureDelta>
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValuedOld.Element

Enclosing class:
  `DefaultCDOMerger.PerFeature.ManyValuedOld`

@Deprecated public static final class DefaultCDOMerger.PerFeature.ManyValuedOld.Element extends DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<CDOFeatureDelta>
Deprecated.
A virtual list element to establish unique relations between ancestor, source and target sides.

Since:
  4.2
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Element(int ancestorIndex)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`int`
`getAncestorIndex()`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide

`get, set`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Element

@Deprecated public Element(int ancestorIndex)
Deprecated.

## Method Details

### getAncestorIndex

@Deprecated public int getAncestorIndex()
Deprecated.

### toString

@Deprecated public String toString()
Deprecated.

Overrides:
  `toString` in class `DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<CDOFeatureDelta>`